{{- .Scratch.Set "title" (.Title | default .Site.Title | markdownify | plainify) }}
{{- $description :=  .Description
  | default .Summary
  | default .Params.subtitle
  | markdownify | plainify }}
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">

<!-- SEO and social description -->
{{- with .Scratch.Get "title" }}
<title>{{ . | safeHTML }}{{ if ne . $.Site.Title }} &mdash; {{ $.Site.Title }}{{ end }}</title>
<meta property="og:title" content="{{ . | htmlUnescape }}">
<meta name="twitter:title" content="{{ . | htmlUnescape }}">
{{- end }}
{{- with .Keywords }}
<meta name="keywords" content="{{ delimit . ", " }}">
{{- end }}
{{- with $description }}
<meta name="description" content="{{ . | htmlUnescape }}">
<meta property="og:description" content="{{ . | htmlUnescape }}">
<meta name="twitter:description" content="{{ . | htmlUnescape }}">
{{- end }}
{{- range .Scratch.Get "authors" }}
  {{- $authorName := default . .displayName | plainify }}
<meta name="author" content="{{ $authorName }}">
  {{- if and (eq $.Kind "page") (eq $.Type "blog") }}
<meta property="article:author" content="{{ $authorName }}">
<!-- FIXME add author's profile -->
  {{- end }}
  {{- with .twitter }}
<meta name="twitter:creator" content="@{{ . }}">
  {{- end }}
{{- end }}
{{- with .Scratch.Get "cover" }}
  {{- $coverUrl := default .img.src .img.socialSrc }}
  {{- $original := partial "images/get.html" (dict "src" $coverUrl "resources" .rsc) }}
  {{- if $original }}
    {{- $coverUrl = $original.Permalink }}
  {{- else }}
    {{- $coverUrl = absURL $coverUrl }}
  {{- end }}
<meta property="og:image" content="{{ $coverUrl }}">
<meta name="twitter:image" content="{{ $coverUrl }}">
  {{- with .img.alt }}
<meta property="og:image:alt" content="{{ . }}">
<meta name="twitter:image:alt" content="{{ . }}">
  {{- end}}
{{- end }}
{{- partial "seo/opengraph.html" . }}
{{- partial "seo/twitter.html" . }}
<!-- Hugo version number -->
{{- hugo.Generator }}
<!-- Mobile goodness -->
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<!-- Links and stylesheets -->
<link rel="alternate" href="{{ "index.xml" | absLangURL }}" type="application/rss+xml" title="{{ .Site.Title }}">
{{ partial "stylesheet.html" "main" }}
<!-- Dirty, hopefully temporary fix for noscript -->
<noscript>
  {{ partial "stylesheet.html" "nojs" }}
</noscript>

{{ partial "favicon.html" . }}
